Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.sslrmi
Class SerializableSSLClientSocketFactory

    java.lang.Object
      org.jboss.remoting.transport.rmi.RemotingRMIClientSocketFactory
          org.jboss.remoting.transport.sslrmi.SerializableSSLClientSocketFactory

All Implemented Interfaces:
  java.io.Serializable, java.rmi.server.RMIClientSocketFactory

    public class SerializableSSLClientSocketFactory

extends RemotingRMIClientSocketFactory

Version:
  $Revision: 1831 $

  Copyright (c) Jun 9, 2006

Author:
  Ron Sigal
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.remoting.transport.rmi.RemotingRMIClientSocketFactory
`RemotingRMIClientSocketFactory.ComparableHolder`

Field Summary

Fields inherited from class org.jboss.remoting.transport.rmi.RemotingRMIClientSocketFactory
`configMaps, configuration, hostName, invokerLocator, socketFactories, socketFactory`

Constructor Summary
`SerializableSSLClientSocketFactory(InvokerLocator invokerLocator, int timeout, java.util.Map configuration)`

Method Summary
`java.net.Socket` | `createSocket(java.lang.String host, int port)` Creates a new socket.
`javax.net.SocketFactory` | `retrieveSocketFactory(RemotingRMIClientSocketFactory.ComparableHolder holder)`

Methods inherited from class org.jboss.remoting.transport.rmi.RemotingRMIClientSocketFactory
`addLocalConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializableSSLClientSocketFactory

    public SerializableSSLClientSocketFactory(InvokerLocator invokerLocator,
                                              int timeout,
                                              java.util.Map configuration)

Method Detail

### createSocket

    public java.net.Socket createSocket(java.lang.String host,
                                        int port)
                                 throws java.io.IOException

  Description copied from class: `RemotingRMIClientSocketFactory`
  Creates a new socket. If a `SocketFactory` was passed to the constructor, it will be used. Otherwise, a `java.net.Socket` will be created by default.

  Specified by:
    `createSocket` in interface `java.rmi.server.RMIClientSocketFactory`
  Overrides:
    `createSocket` in class `RemotingRMIClientSocketFactory`
  Parameters:
    `host` - host to which socket should be connected
    `port` - port to which socket should be connected
  Returns:
    new socket
  Throws:
    `java.io.IOException` - if there is a problem creating a socket

### retrieveSocketFactory

    public javax.net.SocketFactory retrieveSocketFactory(RemotingRMIClientSocketFactory.ComparableHolder holder)
                                                  throws java.io.IOException

  Overrides:
    `retrieveSocketFactory` in class `RemotingRMIClientSocketFactory`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.